package com.muyu.car.domain.api.req;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆连接请求参数
 * @Author：蓬叁
 * @Package：com.muyu.car.domain.api.req
 * @Project：cloud-server-8
 * @name：VehicleConnectionReq
 * @Date：2024/10/2 下午4:12
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class VehicleConnectionReq {

    /**
     * {
     *     "vehicleVin": "VIN1234567894",
     *     "timestamp": "11111",
     *     "username": "你好",
     *     "nonce": "33"
     * }
     */

    /**
     * vin
     */
    @JSONField(name = "vehicleVin")
    private String vehicleVin;
    /**
     * 时间戳
     */
    private String timestamp;
    /**
     * 用户名
     */
    @JSONField(name = "username")
    private String username;
    /**
     * 随机字符串
     */
    private String nonce;
    /**
     * 密码
     */
    private String password;

}
