package com.muyu.car.domain.model.properties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.car.domain.model.properties
 * @Project：cloud-server-8
 * @name：MqttProperties
 * @Date：2024/10/6 下午8:24
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MqttProperties {

    /**
     * 节点
     */
    private String broker;

    /**
     * 主题
     */
    private String topic;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 节点ID
     */
    private String clientId;

    /**
     * 上报级别
     */
    private int qos = 0;

}
