package com.muyu.carData.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.muyu.carData.domain
 * @Project：cloud-server-8
 * @name：IoTDBRecord
 * @Date：2024/9/27 19:25
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IoTDBRecord {

    /**
     * 节点路径
     */
    private String deviceId;

    /**
     * 时间戳
     */
    private long time = System.currentTimeMillis();

    /**
     * 属性
     */
    private List<String> measurementList;

    /**
     * 属性值
     */
    private List<Object> valueList;

    /**
     * 数据类型
     */
    private List<String> typeList;
}
