package com.muyu.domain;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 发送图文回复消息内容(微信公众号)
 * @Author：蓬叁
 * @Package：com.muyu.wxapplication.massage
 * @Project：WXApplication
 * @name：Articles
 * @Date：2024/9/18 下午10:14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@XStreamAlias("item")
@Tag(name = "发送图文回复消息内容")
public class Articles {
//  <Articles>
//    <item>
//      <Title><![CDATA[title1]]></Title>
//      <Description><![CDATA[description1]]></Description>
//      <PicUrl><![CDATA[picurl]]></PicUrl>
//      <Url><![CDATA[url]]></Url>
//    </item>
//  </Articles>

    @XStreamAlias("Title")
    private String title ;
    @XStreamAlias("Description")
    private String description ;
    @XStreamAlias("PicUrl")
    private String picUrl ;
    @XStreamAlias("Url")
    private String url ;

}
