package com.muyu.domain;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
/**
 *
 * 故障规则测试类(故障)
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain.faultrule
 * @Project：cloud-server-8
 * @name：PureElectricCar
 * @Date：2024/9/20 20:22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "故障规则测试类")
public class CarFaultRule {

    /**
     * VIN码VIN码VIN码
     */
    private String vin;
    /**
     * 时间戳时间戳时间戳
     */
    private long timestamp;
    /**
     * 经度经度经度
     */
    private double longitude;
    /**
     * 纬度纬度纬度
     */
    private double latitude;
    /**
     * 车速车速车速
     */
    private double speed;
    /**
     * 总里程总里程总里程
     */
    private Long tm;
    /**
     * 总电压总电压总电压
     */
    private double tv;
    /**
     * 总电流总电流总电流
     */
    private double cc;
    /**
     * 绝缘电阻绝缘电阻绝缘电阻
     */
    private double ir;
    /**
     * 档位档位档位
     */
    private String gp;
    /**
     * 加速踏板行程值加速踏板行程值加速踏板行程值
     */
    private double aptv;
    /**
     * 制动踏板行程值制动踏板行程值制动踏板行程值
     */
    private double bptv;
    /**
     * 燃料消耗率燃料消耗率燃料消耗率
     */
    private double sfc;
    /**
     * 电机控制器温度电机控制器温度电机控制器温度
     */
    private double mct;
    /**
     * 电机转速电机转速电机转速
     */
    private int ms;
    /**
     * 电机转矩电机转矩电机转矩
     */
    private double mto;
    /**
     * 电机温度电机温度电机温度
     */
    private double mte;
    /**
     * 电机电压电机电压电机电压
     */
    private double mv;
    /**
     * 电机电流电机电流电机电流
     */
    private double mc;
    /**
     * 动力电池剩余电量SOC动力电池剩余电量SOC动力电池剩余电量SOC
     */
    private double pbrsoc;
    /**
     * 当前状态允许的最大反馈功率当前状态允许的最大反馈功率当前状态允许的最大反馈功率
     */
    private double macsfp;
    /**
     * 当前状态允许最大放电功率当前状态允许最大放电功率当前状态允许最大放电功率
     */
    private double csatmdp;
    /**
     * BMS自检计数器BMS自检计数器BMS自检计数器
     */
    private int bms;
    /**
     * 动力电池充放电电流动力电池充放电电流动力电池充放电电流
     */
    private double cadc;
    /**
     * 动力电池负载端总电压V3动力电池负载端总电压V3动力电池负载端总电压V3
     */
    private double pbletvv3;
    /**
     * 单次最大电压单次最大电压单次最大电压
     */
    private double smv;
    /**
     * 单体电池最低电压单体电池最低电压单体电池最低电压
     */
    private double mvoab;
    /**
     * 单体电池最高温度单体电池最高温度单体电池最高温度
     */
    private double maxbt;
    /**
     * 单体电池最低温度单体电池最低温度单体电池最低温度
     */
    private double minbt;
    /**
     * 动力电池可用容量动力电池可用容量动力电池可用容量
     */
    private double pbac;
    /**
     * 车辆状态车辆状态车辆状态
     */
    private String vs;
    /**
     * 充电状态充电状态充电状态
     */
    private String cs;
    /**
     * 运行状态运行状态运行状态
     */
    private String rs;
    /**
     * SOCSOCSOC
     */
    private double soc;
    /**
     * 可充电储能装置工作状态可充电储能装置工作状态可充电储能装置工作状态
     */
    private String resdwc;
    /**
     * EASEASEAS
     */
    private String eas;
    /**
     * PTCPTCPTC
     */
    private String ptc;
    /**
     * EPSEPSEPS
     */
    private String eps;
    /**
     * ABSABSABS
     */
    private String abs;
    /**
     * MCUMCUMCU
     */
    private String mcu;
    /**
     * 动力电池加热状态动力电池加热状态动力电池加热状态
     */
    private String pbhs;
    /**
     * 动力电池当前状态动力电池当前状态动力电池当前状态
     */
    private String pbcs;
    /**
     * 动力电池保温状态动力电池保温状态动力电池保温状态
     */
    private String pbis;
    /**
     * DCDCDCDCDCDC
     */
    private String dcdc;
    /**
     * CHGCHGCHG
     */
    private String chg;
    /**
     * 校验位校验位校验位
     */
    private byte chb;
    /**
     * 截止位截止位截止位
     */
    private byte cub;


}
