package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 车辆类型
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain
 * @Project：cloud-server-8
 * @name：CarType
 * @Date：2024/9/21 19:01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_type",autoResultMap = true)
@Tag(name ="车辆类型表")
public class CarType {

    /**
     * 车辆类型ID
     */
    private long carTypeId;
    /**
     * 车辆类型名
     */
    private String carTypeName;
    /**
     * 车辆规则外键ID
     */
    private long carTypeRules;

}
