package com.muyu.domain ;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 图文信息(微信公众号)
 * @Author：蓬叁
 * @Package：com.muyu.wxapplication.massage
 * @Project：WXApplication
 * @name：ImageText
 * @Date：2024/9/18 下午9:27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@XStreamAlias("xml")
@Tag(name = "图文信息")
public class NewsMessage {
//  <ToUserName><![CDATA[toUser]]></ToUserName>
//  <FromUserName><![CDATA[fromUser]]></FromUserName>
//  <CreateTime>12345678</CreateTime>
//  <MsgType><![CDATA[news]]></MsgType>
//  <ArticleCount>1</ArticleCount>
//  <Articles>
//    <item>
//      <Title><![CDATA[title1]]></Title>
//      <Description><![CDATA[description1]]></Description>
//      <PicUrl><![CDATA[picurl]]></PicUrl>
//      <Url><![CDATA[url]]></Url>
//    </item>
//  </Articles>

    @XStreamAlias("ToUserName")
    private String toUserName ;
    @XStreamAlias("FromUserName")
    private String fromUserName ;
    @XStreamAlias("CreateTime")
    private long createTime ;
    @XStreamAlias("MsgType")
    private String msgType ;
    @XStreamAlias("ArticleCount")
    private Integer articleCount ;
    @XStreamAlias("Articles")
    private List<Articles> articles ;


}
