package com.muyu.domain.resp;


import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 数据和总数的响应对象
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain.resp
 * @Project：cloud-faultmanage
 * @name：FaultCodeTotalListResp
 * @Date：2024/9/17 15:44
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name="故障码数据总数列表",description = "数据和总数的响应")
public class FaultCodeTotalListResp {


    /**
     * 故障码信息集合
     */
    private List<FaultCodeListResp> faultCodeListRespList;

    private  long total;

    public static FaultCodeTotalListResp faultCodeTotalListResp(List<FaultCodeListResp> faultCodeListRespList,long total){
        FaultCodeTotalListResp faultCodeTotalListResp = new FaultCodeTotalListResp();
        faultCodeTotalListResp.setFaultCodeListRespList(faultCodeListRespList);
        faultCodeTotalListResp.setTotal(total);
        return faultCodeTotalListResp;
    }


}
