package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.message.Message;
import com.muyu.domain.message.MessageReq;
import com.muyu.domain.message.MessageSendReq;
import jakarta.servlet.http.HttpServletRequest;

import java.util.List;

/**
 * 站内信业务层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service
 * @Project：cloud-server-8
 * @name：MessageService
 * @Date：2024/9/22 10:57
 */
public interface MessageService extends IService<Message> {

    /**
     * 消息发送
     * @param messageSendReq
     * @return
     */
    void sendmessage(MessageSendReq messageSendReq);

    /**
     * 消息查看
     * @param messageReq
     * @param
     * @return
     */
    List<Message> selectmessage(MessageReq messageReq);


    /**
     * 查看消息改变状态
     * @param message
     * @return
     */
    void changestatus(Message message);


    /**
     * 查看未读的消息
     * @return
     */
    List<Message> unread();
}
