package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.CarType;
import com.muyu.server.mapper.CarTypeMapper;
import com.muyu.server.service.CarTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 车辆类型业务实现层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service.impl
 * @Project：cloud-server-8
 * @name：CarTypeServiceImpl
 * @Date：2024/9/21 19:08
 */
@Service
public class CarTypeServiceImpl extends ServiceImpl<CarTypeMapper, CarType> implements CarTypeService {

    @Autowired
    private CarTypeMapper carTypeMapper;

    /**
     * 车辆类型
     * @return
     */
    @Override
    public List<CarType> selectcarType() {
        LambdaQueryWrapper<CarType> carTypeLambdaQueryWrapper = new LambdaQueryWrapper<>();
        List<CarType> list = this.list(carTypeLambdaQueryWrapper);
        return list;
    }
}
