package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.FaultType;
import com.muyu.server.mapper.FaultTypeMapper;
import com.muyu.server.service.FaultTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 故障码分类业务实现层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service.impl
 * @Project：cloud-server-8
 * @name：FaultTypeServiceImpl
 * @Date：2024/9/18 21:00
 */
@Service
public class FaultTypeServiceImpl extends ServiceImpl<FaultTypeMapper, FaultType> implements FaultTypeService {
    @Autowired
    private FaultTypeMapper faultTypeMapper;


    /**
     * 故障码分类查询
     * @return
     */
    @Override
    public List<FaultType> select() {
        LambdaQueryWrapper<FaultType> queryWrapper = new LambdaQueryWrapper<>();
        List<FaultType> list = this.list(queryWrapper);
        return list;
    }
}
